Subject: Re: Shell scripts?
From: [email-masked] ("Aubrey McAuley")

15 Feb 1997 01:30:19 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <aubrey@[199.171.21.14]>
Original-To: [email-masked] (Scott Kempf)
Original-CC: [email-masked]
In-reply-to: <[email-masked]>
X-mailer: Pegasus Mail for Win32 (v2.52)
Original-Sender: [email-masked]

Scott,

Is there any chance you could share those modifications with the 
folks on this list? We're trying to solve a nasty problem with 
spawning shell processes and your fix could be a great help to us. 
Thanks in advance for your help.

On 27 Jan 97 at 16:14, Scott Kempf <[email-masked]> 
wrote, concerning: Re: Shell scripts?:

> It is possible that you have more than one version of bash.
> Make sure that all your bash.exe and sh.exe are the same
> file length.  Fork sometimes grabs the wrong executable.
> 
> #!/usr/local/bin/perl.exe
> 
> Will not work.  Nor will "#!/bin/sh -x".
> 
> I've made a patch to winsup/spawn.cc that seems to fix this.
> I haven't sent it out yet, since I wanted to make sure it
> was right.  It seems that every version of UNIX I've tested
> rewrites the arguments a little differently, so I just did
> my own style.
> 
> Can anyone tell me where I might find POSIX or X/OPEN system
> standards on the web?
> 
> 			    Scott
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 
  Aubrey McAuley <[email-masked]>                  ---- Fineep ----
/---------------------------------------------------------------------\
| The Eden Matrix Online Service                Adhesive Media, Inc.  |
| Web URL   http://www.eden.com      101 W.6th,#210, Austin, TX 78701 |
| voice: 512-478-9900, x201                     dialup: 512-478-9963  |
\---------------------------------------------------------------------/
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".